# `finallycoffee.nextcloud.oidc_user_backend` ansible role

Configure OIDC user backends in nextcloud using this ansible role.
This role can be run multiple times with different arguments in order to
configure multiple oidc-based user backends.

> [!WARNING]
> This role is not production ready or finished

## Configuration

Set `oidc_user_occ_user_oidc_provider_identifier` to a unique identifier.
Populate your provider information in the `oidc_user_config_(settings_)`
like this:

```yaml
oidc_user_config_identifier: my_provider
oidc_user_config_discovery_endpoint: https://idp.example.com/
oidc_user_config_client_id: my-client-id
oidc_user_config_client_secret: my-client-secret

# All options to the occ command are avaible in the
# `oidc_user_config_settings_` namespace
oidc_user_config_settings_unique_id: true
oidc_user_config_settings_send_id_token_hint: true
oidc_user_config_settings_mapping_display_name: name
oidc_user_config_settings_mapping_uid: preferred_username
oidc_user_config_settings_mapping_email: email
```
